package com.happy.Model;

import com.happy.Until.DateUtil;

import java.util.Date;

/**
 * @Description
 * @Author raojiaolong
 * @Date 2023-08-21
 */
public class HotelCoupon {


    private String id; // 主键

    private String hotelIds; // 适用民宿

    private String name; // 名称

    private Integer type; // 类型（1.优惠卷 2.折扣卷）

    private Double rebatePrice; // 折扣

    private Double deductionPrice; // 减免金额

    private Double maxDeduction; // 最大减免金额

    private Integer grantNumber; // 发放数量

    private Integer limitNumber; // 每人限领

    private String grantStartDate; // 发放开始时间

    private String grantEndDate; // 发放结束时间

    private Double meetPrice; // 满减金额

    private String effectiveStartDate; // 有效期开始时间

    private String effectiveEndDate; // 有效期结束时间

    private Integer effectiveType;//有效期类型

    private Integer effectiveDay; // 生效时间天数

    private Integer effectiveLoseDay; // 失效时间天数

    private Integer createId; // 创建人

    private String createDate; // 创建时间

    private String modifyDate; // 修改时间

    private Integer status; // 状态(0删除 1正常)

    private Integer remainderNumber; //剩余数量

    private Integer reversedNumber; //已核销数量

    private String hotelNames;//酒店名称

    public String getHotelNames() {
        return hotelNames;
    }

    public void setHotelNames(String hotelNames) {
        this.hotelNames = hotelNames;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }


    public String getHotelIds() {
        return hotelIds;
    }

    public void setHotelIds(String hotelIds) {
        this.hotelIds = hotelIds;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }


    public Double getRebatePrice() {
        return rebatePrice;
    }

    public void setRebatePrice(Double rebatePrice) {
        this.rebatePrice = rebatePrice;
    }


    public Double getDeductionPrice() {
        return deductionPrice;
    }

    public void setDeductionPrice(Double deductionPrice) {
        this.deductionPrice = deductionPrice;
    }


    public Double getMaxDeduction() {
        return maxDeduction;
    }

    public void setMaxDeduction(Double maxDeduction) {
        this.maxDeduction = maxDeduction;
    }


    public Integer getGrantNumber() {
        return grantNumber;
    }

    public void setGrantNumber(Integer grantNumber) {
        this.grantNumber = grantNumber;
    }


    public Integer getLimitNumber() {
        return limitNumber;
    }

    public void setLimitNumber(Integer limitNumber) {
        this.limitNumber = limitNumber;
    }


    public String getGrantStartDate() {
        return DateUtil.convertDateTimeMysql(grantStartDate);
    }

    public void setGrantStartDate(String grantStartDate) {
        this.grantStartDate = grantStartDate;
    }


    public String getGrantEndDate() {
        return DateUtil.convertDateTimeMysql(grantEndDate);
    }

    public void setGrantEndDate(String grantEndDate) {
        this.grantEndDate = grantEndDate;
    }


    public Double getMeetPrice() {
        return meetPrice;
    }

    public void setMeetPrice(Double meetPrice) {
        this.meetPrice = meetPrice;
    }


    public Integer getEffectiveType() {
        return effectiveType;
    }

    public void setEffectiveType(Integer effectiveType) {
        this.effectiveType = effectiveType;
    }

    public String getEffectiveStartDate() {
        return DateUtil.convertDateTimeMysql(effectiveStartDate);
    }

    public void setEffectiveStartDate(String effectiveStartDate) {
        this.effectiveStartDate = effectiveStartDate;
    }


    public String getEffectiveEndDate() {
        return DateUtil.convertDateTimeMysql(effectiveEndDate);
    }

    public void setEffectiveEndDate(String effectiveEndDate) {
        this.effectiveEndDate = effectiveEndDate;
    }


    public Integer getEffectiveDay() {
        return effectiveDay;
    }

    public void setEffectiveDay(Integer effectiveDay) {
        this.effectiveDay = effectiveDay;
    }

    public Integer getEffectiveLoseDay() {
        return effectiveLoseDay;
    }

    public void setEffectiveLoseDay(Integer effectiveLoseDay) {
        this.effectiveLoseDay = effectiveLoseDay;
    }

    public Integer getCreateId() {
        return createId;
    }

    public void setCreateId(Integer createId) {
        this.createId = createId;
    }


    public String getCreateDate() {
        return DateUtil.convertDateTimeMysql(createDate);
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }


    public String getModifyDate() {
        return DateUtil.convertDateTimeMysql(modifyDate);
    }

    public void setModifyDate(String modifyDate) {
        this.modifyDate = modifyDate;
    }

    public Integer getRemainderNumber() {
        return remainderNumber;
    }

    public void setRemainderNumber(Integer remainderNumber) {
        this.remainderNumber = remainderNumber;
    }

    public Integer getReversedNumber() {
        return reversedNumber;
    }

    public void setReversedNumber(Integer reversedNumber) {
        this.reversedNumber = reversedNumber;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

}
